[package]
name = "audioipc"
version = "0.2.5"
authors = [
        "Matthew Gregan <kinetik@flim.org>",
        "Dan Glastonbury <dan.glastonbury@gmail.com>"
        ]
description = "Remote Cubeb IPC"
edition = "2018"

[dependencies]
bincode = "1"
bytes = "0.4"
cubeb = "0.6"
futures = "0.1.18"
log = "0.4"
memmap = "0.7"
serde = "1"
serde_derive = "1"
tokio = "0.1"
tokio-io = "0.1"
audio_thread_priority = "0.22"

[target.'cfg(unix)'.dependencies]
iovec = "0.1"
libc = "0.2"
mio = "0.6.19"
mio-uds = "0.6.7"
tokio-reactor = "0.1"

[target.'cfg(windows)'.dependencies]
mio = "0.6.19"
miow = "0.3.3"
mio-named-pipes = "0.1.6"
winapi = { version = "0.3.6", features = ["combaseapi", "objbase"] }

[dependencies.error-chain]
version = "0.11.0"
default-features = false

[build-dependencies]
cc = "1.0"
